# IinDetailsResponse class

Represents a IinDetailsResponse object.

Annotations
  - @JsonSerializable(explicitToJson: true)

## Constructors

IinDetailsResponse(IinStatus status, CardType cardType, {required String? paymentProductId, required String? countryCode, required bool isAllowedInContext, List<IinDetail> coBrands = const []})
IinDetailsResponse.fromJson(Map<String, dynamic> json)
  factory

## Properties

cardType → CardType
  final
coBrands → List<IinDetail>
  final
countryCode → String?
  final
hashCode → int
  The hash code for this object.
  read-only inherited
isAllowedInContext → bool
  final
paymentProductId → String?
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
status → IinStatus
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited